#ifndef __GTK_GAUGE_H__
#define __GTK_GAUGE_H__

#include <gdk/gdk.h>
#include <gtk/gtkwidget.h>

G_BEGIN_DECLS

#define GTK_TYPE_GAUGE            (gtk_gauge_get_type ())
#define GTK_GAUGE(obj)            (G_TYPE_CHECK_INSTANCE_CAST  ((obj), GTK_TYPE_GAUGE, GtkGauge))
#define GTK_GAUGE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GTK_TYPE_GAUGE, GtkGaugeClass))
#define GTK_IS_GAUGE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTK_TYPE_GAUGE))
#define GTK_IS_GAUGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GTK_TYPE_GAUGE))
#define GTK_GAUGE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), GTK_TYPE_GAUGE, GtkGaugeClass))

typedef struct _GtkGauge GtkGauge;
typedef struct _GtkGaugeClass GtkGaugeClass;

struct _GtkGauge {
    GtkWidget  widget;
    gfloat     val;         /* value */
    gfloat     xmin, xmax;  /* range */
    gfloat     pannel;      /* fraction of the area colored */
    gfloat     dot; 
    gfloat     angmn;       /* minimum angle at which the scale is drawn */
    gfloat     step; 
    gfloat     ox,oy;
    gfloat     rx,ry;
    gchar     *title;
    GdkColor   color;
    GdkPixmap *pm;
    GdkPixmap *pmscale;

    gboolean squared;
};

struct _GtkGaugeClass {
    GtkWidgetClass parent_class;
};


GtkType    gtk_gauge_get_type (void);
GtkWidget *gtk_gauge_new (gfloat xmin, gfloat xmax);
void       gtk_gauge_set_value (GtkGauge *gg, float v);
gfloat     gtk_gauge_get_value (GtkGauge *gg);
void       gtk_gauge_set_range (GtkGauge *gg, gfloat xmin, gfloat xmax);
void       gtk_gauge_set_color (GtkGauge * gg, const char *cnam);
void       gtk_gauge_set_title (GtkGauge * gg, const char *cnam);
char *     gtk_gauge_get_title (GtkGauge *gg);
void       gtk_gauge_set_squared(GtkGauge *gg, gboolean squared);
/*
  void       gtk_gauge_set_tick_font(GtkGauge *gg, const char *);
  void       gtk_gauge_set_label_font(GtkGauge *gg, const char *);
*/
G_END_DECLS
#endif
